CRM / Pipeline / REST API
Update crm task
Edit, complete or reopen a task. Reuse idempotencyKey for uncertain retries within 24 hours.
PATCH /api/crm/tasks/{taskId}Deterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
taskIdRequired · string- See the input schema for this field.
titleOptional · string- See the input schema for this field.
dueDateOptional · string | null- See the input schema for this field.
statusOptional · string- See the input schema for this field.pending · done
idempotencyKeyRequired · string- See the input schema for this field.
curl -X PATCH "https://app.pipeline.help/api/crm/tasks/00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"idempotencyKey":"example"}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"taskId": {
"type": "string"
},
"title": {
"type": "string"
},
"dueDate": {
"type": [
"string",
"null"
]
},
"status": {
"type": "string",
"enum": [
"pending",
"done"
]
},
"idempotencyKey": {
"type": "string"
}
},
"required": [
"taskId",
"idempotencyKey"
]
}